package p06_klasy_i_metody_wprowadzenie;

public class Przyklad {
    public static void main(String[] args) {
        // Nie można odwołać się do pól instancyjnych poprzez nazwę klasy
        // System.out.println(Klasa.imie);
        // Można do zmiennej statycznej:
        System.out.println(Klasa.statyczna++);

        // Tworzenie obiektu (aka "instancji"):
        Klasa obiekt = new Klasa();
        // W obiekcie znajdują się pola. Początkowe wartości: null, 0, false
        System.out.println(obiekt.imie + " " + obiekt.liczba);
        obiekt.imie = "Adam";
        obiekt.liczba = 30;
        System.out.println(obiekt.imie + " " + obiekt.liczba);
        // Do zmienne jstatycznej można dostać się poprzez obiekt, ale jest to niezalecany zapis
        System.out.println(obiekt.statyczna);
        System.out.println();

        obiekt.metodaZwykla();

    }
}
